window.Gleam.initSearch([{"doc":"multipart_form","title":"multipart_form","content":"# multipart_form\n\n[![Package Version](https://img.shields.io/hexpm/v/multipart_form)](https://hex.pm/packages/multipart_form)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/multipart_form/)\n\n```sh\ngleam add multipart_form@1\n```\n\n```gleam\nimport gleam/http\nimport gleam/http/request\nimport multipart_form\nimport multipart_form/field\n\npub fn main() {\n  let test_image = &lt;&lt;&gt;&gt; // Image BitArray ommited for reading convinience\n  let form = [\n    #(&quot;description&quot;, field.String(&quot;A random image found on the web&quot;)),\n    #(&quot;file&quot;, field.File(&quot;image.jpg&quot;, &quot;image/jpeg&quot;, test_image)),\n  ]\n\n  let req =\n    request.new()\n    |&gt; request.set_scheme(http.Https)\n    |&gt; request.set_method(http.Post)\n    |&gt; request.set_path(&quot;/index.html&quot;)\n    |&gt; request.set_host(&quot;example.com&quot;)\n    |&gt; request.set_header(&quot;host&quot;, &quot;example.com&quot;)\n    |&gt; multipart_form.to_request(form)\n\n    // Do stuff with your request here\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/multipart_form&gt;.\n\n## Development\n\n```sh\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"multipart_form/field","title":"FormBody","content":"pub type FormBody {\n  String(String)\n  File(name: String, content_type: String, content: BitArray)\n}\n\nString(String)\n\n\nFile(name: String, content_type: String, content: BitArray)\n\n\nSynonyms:\nmultipart_form/field.FormBody\nmultipart_form/field FormBody","url":"multipart_form/field.html#FormBody"},{"doc":"multipart_form/field","title":"to_bit_array","content":"pub fn to_bit_array(\n  field_name field: String,\n  field_body element: FormBody,\n  boundary boundary: String,\n) -&gt; BitArray\n\nSynonyms:\nmultipart_form/field.to_bit_array\nmultipart_form/field to_bit_array","url":"multipart_form/field.html#to_bit_array"},{"doc":"multipart_form/field","title":"multipart_form/field","content":"","url":"multipart_form/field.html"},{"doc":"multipart_form/form","title":"Form","content":"pub type Form =\n  List(#(String, field.FormBody))\n\n\nSynonyms:\nmultipart_form/form.Form\nmultipart_form/form Form","url":"multipart_form/form.html#Form"},{"doc":"multipart_form/form","title":"from_bit_array","content":"pub fn from_bit_array(\n  body form: BitArray,\n  boundary boundary: String,\n) -&gt; Result(List(#(String, FormBody)), String)\n\nSynonyms:\nmultipart_form/form.from_bit_array\nmultipart_form/form from_bit_array","url":"multipart_form/form.html#from_bit_array"},{"doc":"multipart_form/form","title":"to_bit_array","content":"pub fn to_bit_array(\n  form fields: List(#(String, FormBody)),\n  boundary boundary: String,\n) -&gt; BitArray\n\nSynonyms:\nmultipart_form/form.to_bit_array\nmultipart_form/form to_bit_array","url":"multipart_form/form.html#to_bit_array"},{"doc":"multipart_form/form","title":"multipart_form/form","content":"","url":"multipart_form/form.html"},{"doc":"multipart_form","title":"from_request","content":"pub fn from_request(\n  req req: Request(BitArray),\n) -&gt; Result(List(#(String, FormBody)), String)\n\nSynonyms:\nmultipart_form.from_request\nmultipart_form from_request","url":"multipart_form.html#from_request"},{"doc":"multipart_form","title":"to_request","content":"pub fn to_request(\n  req req: Request(a),\n  form form: List(#(String, FormBody)),\n) -&gt; Request(BitArray)\n\nSynonyms:\nmultipart_form.to_request\nmultipart_form to_request","url":"multipart_form.html#to_request"},{"doc":"multipart_form","title":"multipart_form","content":"","url":"multipart_form.html"}]);